Friends
Send Friend Request
Send a friend request to another user.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
userId*string
Must be a valid user ID.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/user/string/friendRequest"{
"id": "frq_00000000-0000-0000-0000-000000000000",
"type": "friendRequest",
"created_at": "2021-01-01T00:00:00.000Z",
"details": "{}",
"message": "",
"seen": false,
"senderUserId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}{
"error": {
"message": "This user has already been sent a friend request",
"status_code": 400
}
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "user doesn't existǃ",
"status_code": 404
}
}Delete Friend Request DELETE
Deletes an outgoing pending friend request to another user. To delete an incoming friend request, use the `deleteNotification` endpoint instead.
Check Friend Status GET
Retrieve if the user is currently a friend with a given user, if they have an outgoing friend request, and if they have an incoming friend request. The proper way to receive and accept friend request is by checking if the user has an incoming `Notification` of type `friendRequest`, and then accepting that notification.